Bug 535676 (RHQ-2347)

Summary: avail reports should be delayed if nothing changed
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: AgentAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ccrouch, jshaughn, mazz
Target Milestone: ---Keywords: FutureFeature, Improvement
Target Release: RHQ 4.4.0   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-2347
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=741450
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:10:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 617648    
Bug Blocks: 741450    

Description John Mazzitelli 2009-08-13 11:49:00 EDT
the agent will send avail reports every 5 minutes. that means its possible that we won't know a resource went down for 5 minutes

we need the agent/plugin container to check avail faster (say, every 2 minutes or 1 minutes) but only if something changed (i.e. the repot has more than just the platform) should we send it up. If nothing changed, and we've crossed the 5 min threshold, then we should send up the report (even if its just got the platform)

this allows us to notify the server when something went up or down faster (every2 min? 1min? configurable?) but yet still let the server know we are alive every 5 minutes (we could then even increase that to every 10 or 15 minutes - the current quiet time on the server is 15 mins for agent backfill)
Comment 1 Red Hat Bugzilla 2009-11-10 16:02:38 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2347
Comment 2 wes hayutin 2010-02-16 12:08:38 EST
mass add of key word FutureFeature to help track
Comment 3 Joseph Marques 2010-11-17 11:58:29 EST
I think we should implement this instead: https://bugzilla.redhat.com/show_bug.cgi?id=617648
Comment 4 Jay Shaughnessy 2012-02-28 14:53:44 EST
This has basically been implemented in the jshaughn/avail branch.  The
agent now performs avail checking at 30 second intervals, we provide
for resource-granular collection intervals (with server=1m, service=5m
defaults) and we do a better job of distributing checks to better avoid
peaks and valleys of avail processing.  And backfill has been dropped to
5 minutes.

See:

http://rhq-project.org/display/RHQ/Design-Availability+Checking#Design-AvailabilityChecking-DesignandChanges

For more on planned avail changes.
Comment 5 Jay Shaughnessy 2012-03-30 16:39:47 EDT
This is in master.
Comment 6 Heiko W. Rupp 2013-09-01 06:10:52 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.